/*!
  spica javascript libraries - window.js
  == written by Takuya Otani <takuya.otani@gmail.com> ===
  == Copyright (C) 2006 SimpleBoxes/SerendipityNZ Ltd. ==
*/

// [guideline]
// -- http://serennz.sakura.ne.jp/guidelines/js_en_000.txt
// -- http://serennz.sakura.ne.jp/guidelines/js_ja_000.txt

// ver 0.00 [2008/11/01] the first attempt

window.getSize = function()
{
	var size = { w:0, h:0 };
	if (window.innerHeight)
	{
		size.w = window.innerWidth;
		size.h = window.innerHeight;
	}
	else if (document.documentElement && document.documentElement.clientHeight)
	{
		size.w = document.documentElement.clientWidth;
		size.h = document.documentElement.clientHeight;
	}
	else
	{
		size.w = document.body.clientWidth;
		size.h = document.body.clientHeight;
	}
	return size;
}
window.pageSize = function()
{
	var size = { w:0, h:0 };
	var win = window.getSize();
	if (window.innerHeight && window.scrollMaxY)
	{
		size.w = document.body.scrollWidth;
		size.h = window.innerHeight + window.scrollMaxY;
	}
	else if (document.body.scrollHeight > document.body.offsetHeight)
	{
		size.w = document.body.scrollWidth;
		size.h = document.body.scrollHeight;
	}
	else
	{
		size.w = document.body.offsetWidth;
		size.h = document.body.offsetHeight;
	}
	if (size.w < win.w) size.w = win.w;
	if (size.h < win.h) size.h = win.h;
	return size;
}
window.pagePosition = function()
{
	var pos = { x:0, y:0 };
	if (window.pageYOffset)
	{
		pos.x = window.pageXOffset;
		pos.y = window.pageYOffset;
	}
	else if (document.documentElement && document.documentElement.scrollTop)
	{
		pos.x = document.documentElement.scrollLeft;
		pos.y = document.documentElement.scrollTop;
	}
	else if (document.body)
	{
		pos.x = document.body.scrollLeft;
		pos.y = document.body.scrollTop;
	}
	return pos;
}
